Core - Task # 48536

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:

Created: 2013-05-25 Assigned To: Anja Leichsenring
Updated: 2013-06-20 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Bring back int_from_ver

Description

Due to many failing extensions relying on this function, Release Management decided to bring it back as a redirect to
VersionNumberUtility::convertVersionNumberTolnteger.

Related issues:
follows Core - Task # 44763: Remove deprecated code that is marked to be dele... Resolved

Associated revisions

Revision 160ddfea - 2013-05-28 11:41 - Anja Leichsenring

[TASK] Bring back int_from_ver

Due to many failing extensions relying on this function,
Release Management decided to bring it back as a redirect
to VersionNumberUTtility::convertVersionNumberTolnteger.

Resolves: #48536

Relates: #44763

Releases: 6.2, 6.1

Change-Id: 1d76758c10a542bdbe0cc033466f494b0a6350692
Reviewed-on: https://review.typo3.org/21047

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Daniel Hiirtgen
Tested-by: Daniel Hurtgen
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 73719944 - 2013-06-19 23:58 - Anja Leichsenring

[TASK] Bring back int_from_ver

Due to many failing extensions relying on this function,

Release Management decided to bring it back as a redirect

to VersionNumberUtility::convertVersionNumberTolnteger.

Resolves: #48536

Relates: #44763
Releases: 6.2, 6.1
https://review.typo3.org/21047

Change-Id: 1d76758c10a542bdbe0cc033466f494b0a6350692
Reviewed-on: https://review.typo3.org/21519

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2013-05-25 22:22 - Anja Leichsenring
- Parent task deleted (#44763)

#2 - 2013-05-25 22:24 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21047

#3 - 2013-05-28 08:48 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21047

#4 - 2013-05-28 10:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21047

#5 - 2013-05-28 12:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:160ddfeab23a708592fd8de8d3074da69bb8ef27.

#6 - 2013-06-19 23:57 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/21519

#7 - 2013-06-20 00:30 - Anja Leichsenring
- Status changed from Under Review to Resolved

Applied in changeset commit:73719944bc3f58d0d48b11ca90fcfebcd467431a.
